View Issue Details

IDProjectCategoryView StatusLast Update
0000208Adventure PHP FrameworkNeues Feature // New Featurepublic2015-10-12 12:19
ReporterChristianAchatzAssigned ToChristianAchatz 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2.1 
Target Version3.0Fixed in Version3.0 
Summary0000208: Support multiple formats in DateSelectorTag::setDate()
DescriptionATM, DateSelectorTag::setDate() only supports strings to be used to set the date of a date control instance. To ease development and allow easy encapsulation of date objects, it should be possible to directly pass a DateTime instance to setDate().

The same applies to TimeSelectorTag::setTime(). It would be helpful to be able to pass a DateTime instance here as well.
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacetools

Activities

ChristianAchatz

2014-07-30 08:58

administrator   ~0000468

Signature changed to

- DateTime DateSelectorTag::getDate()
- DateSelectorTag::setDate(DateTime|string)
- DateTime TimeSelectorTag::getTime()
- TimeSelectorTag::setTime(DateTime|string)

ChristianAchatz

2014-08-02 13:43

administrator   ~0000469

Migration docs done.

Issue History

Date Modified Username Field Change
2014-06-17 13:41 ChristianAchatz New Issue
2014-07-30 08:58 ChristianAchatz Note Added: 0000468
2014-07-30 08:58 ChristianAchatz Status new => resolved
2014-07-30 08:58 ChristianAchatz Fixed in Version => 3.0
2014-07-30 08:58 ChristianAchatz Resolution open => fixed
2014-07-30 08:58 ChristianAchatz Assigned To => ChristianAchatz
2014-08-02 13:43 ChristianAchatz Note Added: 0000469
2015-10-12 12:19 ChristianAchatz Status resolved => closed